# -*- python -*- 
# $RCSfile: DIR.py,v $
# $Revision: 1.23 $
# $Author: rlua $
# $Date: 2006/02/24 17:00:09 $


# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modifed
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

dirname = ['engine']
clib = 'oof2engine'
clib_order = 1
subdirs = ['property', 'elements', 'SparseLib++', 'IO']

if HAVE_PETSC:
    subdirs.append('PETSc')


cfiles = ['boundarycond.C', 'blockpre_double.C', 'edge.C',
'edgeset.C', 'element.C', 'elementnodeiterator.C', 'equation.C',
'eulerangle.C', 'field.C', 'flux.C', 'fluxnormal.C', 'freedom.C',
'gausspoint.C', 'masterelement.C', 'material.C', 'femesh.C',
'mvmult.C', 'nodalequation.C', 'node.C', 'property.C', 'solver.C',
'pypropertywrapper.C', 'shapefunction.C', 'shapefunctioncache.C',
'cskeleton.C', 'stiffnessmatrix.C', 'symmmatrix.C', 'mastercoord.C',
'pixelintersection.C', 'twomatrix.C', 'preconditioner.C',
'fieldindex.C', 'log_value.C', 'contourcell.C', 'ooferror.C',
'cstrain.C', 'pixelselectioncouriere.C', 'outputval.C',
'eigenvalues.C', 'invariant.C', 'solverdriver.C', 'symeig3.C',
'rank3tensor.C', 'celectricfield.C', 'timederivative.C',
'smallmatrix.C', 'steppingscheme.C', 'cscpatch.C', 'nodalfluxes.C',
'nodalscpatches.C', 'recoveredflux.C', 'csrmatrix.C',
'timestepadapter.C', 'subproblem.C', 'timestepadaptermanager.C']

swigfiles = ['boundarycond.swg', 'contourcell.swg', 'csrmatrix.swg',
'edgeset.swg', 'edge.swg', 'elementnodeiterator.swg', 'element.swg',
'equation.swg', 'eulerangle.swg', 'field.swg', 'flux.swg',
'freedom.swg', 'fieldindex.swg', 'gausspoint.swg', 'smallmatrix.swg',
'masterelement.swg', 'material.swg', 'femesh.swg',
'nodalequation.swg', 'node.swg', 'preconditioner.swg',
'properties.swg', 'pypropertywrapper.swg', 'sparselink.swg',
'solver.swg', 'cskeleton.swg', 'stiffnessmatrix.swg',
'symmmatrix.swg', 'vector.swg', 'mastercoord.swg', 'ooferror2.swg',
'cstrain.swg', 'pixelselectioncouriere.swg', 'outputval.swg',
'invariant.swg', 'planarity.swg', 'solverdriver.swg', 
'rank3tensor.swg', 'timederivative.swg', 'steppingscheme.swg',
'timestepadapter.swg','subproblem.swg', 'timestepadaptermanager.swg']

pyfiles = ['anneal.py', 'bdycondition.py', 'boundary.py',
'boundarybuilder.py', 'boundarymodifier.py', 'builtinprops.py',
'refinementtarget.py', 'component.py', 'deputy.py',
'deputyParallel.py', 'deputytracker.py', 'edgeswap.py',
'fiddlenodesbase.py', 'fiddlenodesbaseParallel.py', 'fieldinit.py',
'initialize.py', 'instantnodemove.py', 'materialmanager.py',
'materialplugin.py', 'mergetriangles.py', 'mesh.py',
'meshcrosssection.py', 'pixelselect.py', 'problem.py', 'profile.py',
'profilefunction.py', 'propertyregistration.py', 'pyproperty.py',
'rationalize.py', 'rationalizefunctions.py', 'rationalsharp.py',
'rationalshort.py', 'rationalwide.py', 'refine.py', 'refinemethod.py',
'refinequadbisection.py', 'skeleton.py', 'skeletonboundary.py',
'skeletoncontext.py', 'skeletondiff.py', 'skeletonelement.py',
'skeletongroups.py', 'skeletonmodifier.py', 'skeletonnode.py',
'skeletonsegment.py', 'skeletonselectable.py',
'skeletonselectionmethod.py', 'skeletonselectionmod.py',
'skeletonselectionmodes.py', 'skeletonselmodebase.py', 'smooth.py',
'snapnode.py', 'splitquads.py', 'vigilante.py', 'meshmod.py',
'relaxation.py', 'analysisdomain.py', 'analysissample.py',
'pinnodesmodifier.py', 'timedrivers.py', 'adaptivemeshrefinement.py',
'errorestimator.py', 'revertmesh.py', 'scpatch.py',
'problemmanager.py', 'subproblemcontext.py', 'interface_criteria.py',
'conjugate.py']

swigpyfiles = ['contourcell.spy', 'csrmatrix.spy', 'edge.spy',
'edgeset.spy', 'elementnodeiterator.spy', 'element.spy',
'equation.spy', 'eulerangle.spy', 'field.spy', 'flux.spy',
'fieldindex.spy', 'masterelement.spy', 'material.spy', 'femesh.spy',
'node.spy', 'pypropertywrapper.spy', 'sparselink.spy',
'stiffnessmatrix.spy', 'symmmatrix.spy', 'vector.spy',
'mastercoord.spy', 'property.spy', 'preconditioner.spy', 'solver.spy',
'ooferror2.spy', 'invariant.spy', 'cstrain.spy', 'solverdriver.spy',
'outputval.spy', 'rank3tensor.spy',
'smallmatrix.spy', 'steppingscheme.spy', 'timestepadapter.spy',
'timestepadapter.spy', 'subproblem.spy', 'timestepadaptermanager.spy']

hfiles = ['automatrix.h', 'boundarycond.h', 'blockpre_double.h',
'constraint.h', 'contourcell.h', 'csrmatrix.h', 'edge.h', 'edgeset.h',
'element.h', 'elementnodeiterator.h', 'equation.h', 'eulerangle.h',
'field.h', 'flux.h', 'fluxnormal.h', 'freedom.h', 'gausspoint.h',
'group.h', 'indextypes.h', 'masterelement.h', 'material.h',
'matvec.h', 'femesh.h', 'mvmult.h', 'nodalequation.h', 'nodegroup.h',
'node.h', 'preconditioner.h', 'property.h', 'pypropertywrapper.h',
'cskeleton.h', 'shapefunctioncache.h', 'shapefunction.h',
'sparselink.h', 'stiffnessmatrix.h', 'symmmatrix.h', 'twovector.h',
'mastercoord.h', 'solver.h', 'twomatrix.h', 'fieldindex.h',
'smallmatrix.h', 'log_value.h', 'ooferror.h', 'cstrain.h',
'pixelselectioncouriere.h', 'outputval.h', 'symeig3.h',
'eigenvalues.h', 'invariant.h', 'planarity.h', 'solverdriver.h',
'rank3tensor.h', 'celectricfield.h',
'timederivative.h', 'steppingscheme.h', 'matrixbase.h', 'cscpatch.h',
'nodalfluxes.h', 'nodalscpatches.h', 'recoveredflux.h',
'timestepadapter.h', 'subproblem.h', 'timestepadaptermanager.h']

def set_clib_flags(clib):
    clib.externalLibs.append('oof2common')



