// -*- C++ -*-
// $RCSfile: massdensity.h,v $
// $Revision: 1.17 $
// $Author: reida $
// $Date: 2006/01/27 21:30:14 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#ifndef MASSDENSITY_H
#define MASSDENSITY_H

#include "engine/property.h"
#include <string>

class Cijkl;
class Element;
class Flux;
class Material;
class FEMesh;
class Position;
class TwoVectorField;
class SymmetricTensorFlux;
class ElementNodeIterator;

class MassDensityProp : public ScalarTimeDerivPrefactor {
public:
  MassDensityProp(PyObject *reg, const std::string &name, double rho);
  virtual ~MassDensityProp() {}
  virtual int integration_order(const FEMesh*, const Element*) const;
  virtual bool is_symmetric(const FEMesh*) const { return true; }
protected:
  TwoVectorField *displacement;
  SymmetricTensorFlux *stress_flux;
};

#endif
